Contents

# PV Function [VBA]

Returns the Present Value of an investment resulting from a series of regular payments.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    Pmt( Rate as Double, NPer as Double, Pmt as Double, [FV as Variant], [Due as Variant] )

### Return value:

Double

### Parameters:

이자는 주기적 이자율을 지정합니다.

NPer는 연금 납부 기간의 총 횟수입니다.

Pmt는 기간마다 하는 정기적 지불입니다.

FV (optional) is the future value of the loan / investment.

Due (optional) defines whether the payment is due at the beginning or the end of a period.

0 - the payment is due at the end of the period;

1 - the payment is due at the beginning of the period.

### Error codes:

5 잘못된 프로시저 호출입니다.

### Example:

    REM ***** BASIC *****
    Option VBASupport 1
    Sub ExamplePV
    ' Calculate the present value of an annuity that pays $1,000 per month over 6 years.
    ' Interest is 10% per year and each payment is made at the end of the month.
    Dim pv1 As Double
    pv1 = PV( 0.1/12, 72, -1000 )
    print pv1 ' pv1 is calculated to be 53978,6654781073.
    End Sub

관련 주제

PV function in CALC

VBA financial functions